
Redmine - Feature #20405

Enable footnotes support in Markdown formatter.

2015-07-25 09:01 - Mischa The Evil

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Footnotes support is not enabled for the Markdown formatter at the moment. I think it would be good if support for them is enabled.

This can be done quite easily:

diff --git a/lib/redmine/wiki_formatting/markdown/formatter.rb b/lib/redmine/wiki_formatting/markd

own/formatter.rb

index 17d94a1..fdf17fe 100644

--- a/lib/redmine/wiki_formatting/markdown/formatter.rb

+++ b/lib/redmine/wiki_formatting/markdown/formatter.rb

@@ -128,7 +128,8 @@ module Redmine

             :tables => true,

             :strikethrough => true,

             :superscript => true,

-            :no_intra_emphasis => true

+            :no_intra_emphasis => true,

+            :footnotes => true

           )

         end

       end

 I did a quick test with footnotes support enabled and it seems to work properly OOTB. The feature with its syntax is described at the

end of https://github.com/vmg/redcarpet#and-its-like-really-simple-to-use.

Related issues:

Is duplicate of Redmine - Feature #16072: Markdown footnote support Closed

History

#1 - 2015-07-25 09:28 - Go MAEDA

- Status changed from New to Closed

It is interesting but duplicate of #16072.

#2 - 2015-07-25 09:29 - Go MAEDA

- Is duplicate of Feature #16072: Markdown footnote support added

#3 - 2015-07-25 09:35 - Go MAEDA

- Resolution set to Duplicate

#4 - 2015-08-01 10:28 - Mischa The Evil

Go MAEDA wrote:

It is interesting but duplicate of #16072.

 Thanks for catching this and transferring my textual patch. I missed that one completely.

Good to see some more eyes keeping a close sight at the issues pool :thumbsup: ;)
